> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md).

# 88. Mutaatio: Vie ZonesMap pakattuna Shapefile-tiedostona

Luo valituista "ZonesMap"-vyöhykekartoista shapefile-muotoinen ZIP-arkisto.

{% hint style="info" %}
Arkisto sisältää EPSG:4326-koordinaattijärjestelmän tiedostot \*.shp, \*.shx, \*.prj ja \*.dbf.
{% endhint %}

### 1. Valmistelu

* Attribuutti `vectorAnalysisMaps` sisältää vietävien ZonesMap (VectorAnalysisMaps) -objektien taulukon. Kukin objekti sisältää parin `fieldUuid` (linkitys valittuun lohkoon) ja `uuid` (linkitys valittuun vyöhykekarttaan).
* Totuusarvoattribuutti `asMultiGeometry` määrittää, viedäänkö vyöhykkeet muodossa `Polygons` vai `MultiPolygons` (kun arvoksi asetetaan `true` ).
* Totuusarvoattribuutti `onlyProductColumns` määrittää, sisällytetäänkö shapefileen vain tuotetietoja (RX) sisältävät sarakkeet (kun arvoksi asetetaan `true`). Muussa tapauksessa sarakkeina sisällytetään kaikki tilastolliset attribuutit ja vyöhyketunnukset.
* Attribuutti `archiveName` sisältää luotavan ZIP-arkiston nimen.
* Attribuutin `filePostfix` avulla vietäviin tiedostoihin ja arkistoon voidaan lisätä mukautettu jälkiliite.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Lataa luotu arkisto

GraphQL-kyselyn suorittamisen jälkeen arkiston voi ladata komennolla `curl` tai vastaavalla tavalla.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
